Обновление PHP 5.1.6 на CentOs

Тема в разделе "Администрирование серверов", создана пользователем Dgikar, 15 дек 2010.

Статус темы:
Закрыта.
Модераторы: mefish, stooper
  1. Dgikar

    Dgikar

    Регистр.:
    9 мар 2008
    Сообщения:
    289
    Симпатии:
    19
    Столкнулся с тем, что компонент Joomla! запросил PHP старше, чем у меня стоит на VPS... Все бы ничего, но, этот компонент, мне уж очень больно нужен...

    Полез я в Инет, посмотреть, как PHP переустановить, нашел вот этот сайт:
    Перейти по ссылкеМой хостер, порекомендовал использовать прогу - WinSCP для доступа через SSH для переустановки PHP. В этой проге, в консоли, я ввожу те команды, которые написаны на вышеупомянутом сайте... Но, когда ввожу
    Код:
    yum --enablerepo=remi update php php-*
    то, получаю таймаут (пробовал увеличивать до получаса), после которого - programm terminate...

    "Зависание" происходит здесь (см. рисунок)
    [​IMG]
    Что я делаю не так? Может кто подскажет еще варианты переустановки PHP?
     
  2. Juri

    Juri

    Заблокирован
    Регистр.:
    5 окт 2007
    Сообщения:
    1.065
    Симпатии:
    197
    вообще обновлять не очень хорошая идея, как правило вылазиет куча проблем.

    советую воспользоваться програмкой putty через нее войдете в консоль, затем удалите имеющийся php а потом поставьте нужные я бы посоветовал 5.2.х но если нужен именно 5.3.х то будьте готовы к некоторым проблемам с старыми скриптами

    для удаления использовать
    для установки
    возможно перечислил не все нужные компоненты, но для обычного впс должно хватить
     
  3. Dgikar

    Dgikar

    Регистр.:
    9 мар 2008
    Сообщения:
    289
    Симпатии:
    19
    Не знаю почему, но, Putty, при запросе логина и пароля, дает ввести мне только логин, а после ввода логина и нажатия на Enter, переходит на Password и все - ничего с клавы я ввести не могу, хотя, комп, мыша и клава не висят...
    Что касается WinSCPПерейти по ссылкето в ней есть Putty (как не знаю, но какие-то там настройки по Putty есть)
    Попробовал я снести PHP предложенным Вами способом, получил вот это:
    [​IMG]
    т. е. снова "зависание"...
     
  4. despainer

    despainer

    Регистр.:
    15 фев 2008
    Сообщения:
    615
    Симпатии:
    168
  5. DeViL[ua]

    DeViL[ua] Постоялец

    Регистр.:
    1 авг 2009
    Сообщения:
    94
    Симпатии:
    18
    я для обновления php использую репозиторий atomicorp
    http://www6.atomicorp.com/channels/atomic/

    Чтобы установить:
    wget -q -O - Перейти по ссылке | sh

    и потом обновляешь php через yum )) ставиться php 5.2.15
     
  6. despainer

    despainer

    Регистр.:
    15 фев 2008
    Сообщения:
    615
    Симпатии:
    168
    в атомике нет php-fpm и старая версия nginx :)
    ну дело вкуса кто какой репозитарий предпочитает
     
  7. Dgikar

    Dgikar

    Регистр.:
    9 мар 2008
    Сообщения:
    289
    Симпатии:
    19
    Блин... какой бы способ я не использовал, все равно зависает там, где показано на картинках...

    P. S.
    Php снес предложенным despainer способом, но, поставить обратно - не получилось - завис там же... Т. е., после этой таблицы (см. рисунок выше), дожен быть вопрос: "Is thes Ok [Yes/No]", но, его нет... :(

    Люди, а может быть такое, что у хостера стоит "заглушка" на то, чтобы пользователи сами апдейтили ПО? Просто у меня хостер запросил $20 за апдейт PHP...
     
  8. despainer

    despainer

    Регистр.:
    15 фев 2008
    Сообщения:
    615
    Симпатии:
    168

    yum -y install php
     
    Dgikar нравится это.
  9. Dgikar

    Dgikar

    Регистр.:
    9 мар 2008
    Сообщения:
    289
    Симпатии:
    19
    Спасибо - сработало, но, немного не так, как хотелось... Установилась старая версия - 5.1.6... А хотелось бы 5.2.х...
    При установке компонента для Joomla!, мне выдало вот такую "ошибку":
    Подскажите плз, где это включить, или как установить?
    Заранее благодарю
     
  10. dolmatov

    dolmatov Создатель

    Регистр.:
    12 окт 2009
    Сообщения:
    41
    Симпатии:
    1
    yum php update
    или
    yup update php
     
Статус темы:
Закрыта.